<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" android:maxSdkVersion="32" />
    <uses-permission android:name="android.permission.READ_MEDIA_IMAGES" />
    <uses-permission android:name="android.permission.READ_MEDIA_VIDEO" />

    <!-- Bluetooth permissions for energy/power stats and location accuracy -->
    <uses-permission android:name="android.permission.BLUETOOTH" android:maxSdkVersion="30" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" android:maxSdkVersion="30" />
    <uses-permission android:name="android.permission.BLUETOOTH_SCAN" />
    <uses-permission android:name="android.permission.BLUETOOTH_CONNECT" />
    
    <!-- Notification permissions -->
    <uses-permission android:name="android.permission.POST_NOTIFICATIONS"/>
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />

    <application
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@drawable/na_mesa"
        android:label="@string/app_name"
        android:roundIcon="@drawable/na_mesa"
        android:supportsRtl="true"
        android:theme="@style/Theme.Pap_teste">
        <activity
            android:name=".AddStaffActivity"
            android:exported="false" />
        <activity
            android:name=".DetalhesReservasActivity"
            android:exported="false"
            android:label="Detalhes das reservas"
            android:theme="@style/Theme.Pap_teste" />
        <activity
            android:name=".GerirMesasActivity"
            android:exported="false"
            android:label="Editar mesas"
            android:theme="@style/Theme.Pap_teste" />
        <activity
            android:name=".EstablishmentDashboardActivity"
            android:exported="false"
            android:label="Área do Estabelecimento"
            android:theme="@style/Theme.Pap_teste" />
        <activity
            android:name=".ListaEsperaActivity"
            android:exported="false"
            android:label="Lista de espera"
            android:theme="@style/Theme.Pap_teste" />

        <activity
            android:name=".GestaoStaffActivity"
            android:exported="false"
            android:label="Gestão de staff"
            android:theme="@style/Theme.Pap_teste" />

        <activity
            android:name=".ClientDashboardActivity"
            android:exported="false"
            android:label="Área do Cliente"
            android:theme="@style/Theme.Pap_teste" />
        <activity
            android:name=".NovaReservaActivity"
            android:exported="false"
            android:label="Nova reserva"
            android:theme="@style/Theme.Pap_teste" />
        <activity
            android:name=".ExplorarRestaurantesActivity"
            android:exported="false"
            android:label="Explorar restaurantes"
            android:theme="@style/Theme.Pap_teste" />
        <activity
            android:name=".FavoritosActivity"
            android:exported="false"
            android:label="Favoritos"
            android:theme="@style/Theme.Pap_teste" />
        <activity
            android:name=".CheckInAntecipadoActivity"
            android:exported="false"
            android:label="Check-in antecipado"
            android:theme="@style/Theme.Pap_teste" />
        <activity
            android:name=".PartilharReservaActivity"
            android:exported="false"
            android:label="Partilhar reserva"
            android:theme="@style/Theme.Pap_teste" />
        <activity
            android:name=".AccountCreatedActivity"
            android:exported="false"
            android:label="Conta criada"
            android:theme="@style/Theme.Pap_teste" />
        <activity
            android:name=".DefinicoesAdminActivity"
            android:exported="false"
            android:label="Definições"
            android:theme="@style/Theme.Pap_teste" />
        <activity
            android:name=".ProfileDashboardActivity"
            android:exported="false"
            android:label="O meu Perfil"
            android:theme="@style/Theme.Pap_teste" />
        <activity
            android:name=".MinhasReservasActivity"
            android:exported="false"
            android:label="Minhas Reservas"
            android:theme="@style/Theme.Pap_teste" />
        <activity
            android:name=".MainActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <service
            android:name=".ReservationNotificationService"
            android:exported="false"
            android:foregroundServiceType="dataSync" />
    </application>

</manifest>